cURL
curl --request POST \ --url https://api.leanpay.fr/v1/public/invoices/complete \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "reference": "<string>", "amount": 1, "issueDate": "2023-12-25", "dueDates": [ { "dueDate": "2023-12-25", "currency": "<string>", "amount": 1, "defaultCurrencyAmount": 1 } ], "externalId": "<string>", "client": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }, "dueDate": "2023-12-25", "payments": [ { "date": "2023-12-25", "amount": 1, "externalId": "<string>" } ], "creditNoteLinks": [ { "date": "2023-12-25", "creditNote": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }, "amount": 1, "externalId": "<string>" } ] } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "externalId": "<string>", "reference": "<string>", "amount": 123, "remainingAmount": 123, "paidAmount": 123, "offsetAmount": 123, "sentDate": "2023-11-07T05:31:56Z", "issueDate": "2023-11-07T05:31:56Z", "dueDate": "2023-11-07T05:31:56Z", "status": "due", "upcomingPaymentDate": "2023-11-07T05:31:56Z", "dueDates": [ { "dueDate": "2023-11-07T05:31:56Z", "currency": "<string>", "amount": 1, "defaultCurrencyAmount": 1 } ], "payments": [ { "date": "2023-11-07T05:31:56Z", "amount": 1, "defaultCurrencyAmount": 1, "externalId": "<string>" } ], "creditNoteLinks": [ { "date": "2023-11-07T05:31:56Z", "amount": 1, "defaultCurrencyAmount": 1, "externalId": "<string>", "creditNote": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "externalId": "<string>" } } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }
Complete invoice object to import
80
x >= 0
Show child attributes
Returns the imported invoice
use issueDate instead
Invoice status
due
overdue
paid
disputed
offset
payment_in_progress
upcoming_payment
recovery